import ru.ifmo.validate.*;
import java.util.*;

public class Validate implements Validator {
	static final int MAX_N = 1000000;
	static final int MAX_C = 1000000;

	@Override
	public void validate(ValidatingScanner in) throws Exception {
		int n = in.nextInt(1, MAX_N);
		int p = in.nextInt(1, MAX_C);
		int c = in.nextInt(p, MAX_C);
		int h = in.nextInt(1, c);
		in.eoln();
		for (int i = 0; i < n; i++) {
			in.nextInt(1, c);
		}

		in.eoln();
		
		for (int i = 0; i < p; i++) {
			in.nextInt(1, c);
		}
	}

}
